[youtubei.js](../../../README.md) / [Utils](../README.md) / deepCompare

# Function: deepCompare()

> **deepCompare**(`obj1`, `obj2`): `boolean`

Compares given objects. May not work correctly for
objects with methods.

## Parameters

• **obj1**: `any`

• **obj2**: `any`

## Returns

`boolean`

## Defined in

[src/utils/Utils.ts:54](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/Utils.ts#L54)
